<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZSample0003SF1EditViewBase from './ibizsample0003-sf1-edit-view-base.vue';

import view_form from '@widgets/ibizsample0003/ui-0008-form/ui-0008-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZSample0003SF1EditView extends IBIZSample0003SF1EditViewBase {

}
</script>